/**
  * Next and previous pagination links for pages in a sequence
  *
  * 1. Apply default NHS UK body styles without directly referencing fonts. This hopefully
  *    protects the component from any updates to the font stack in NHS UK frontend
  * 2. Apply default NHS UK link styles
  * 3. Overide "nhsuk-body" styles as the NHS UK design system doesn’t provide sass variables
  *    or classes for core styles
  * 4. Layout and alignment for icon and text
  * 5. Align text to left when no hover state
  */
.c-hrt-pagination__link {
  // @extend .nhsuk-body; /* 1 */
  // @extend .nhsuk-link; /* 2 */
  text-decoration: none;
  margin-bottom: 0; /* 3 */
  display: table; /* 4 */
  width: 100%;
  margin-left: -#{nhsuk-spacing(3)}; /* 5 */
  padding: nhsuk-spacing(3);

  &:hover {
    background: nhsuk-colour("light-grey");
  }
}

/**
  * 1. Layout and alignment for icon and text
  */
.c-hrt-pagination__link__direction,
.c-hrt-pagination__link__label {
  display: block; /* 1 */
}

.c-hrt-pagination__link__direction {
  // @extend .nhsuk-\!-font-weight-bold;
}

.c-hrt-pagination__link__label {
  // @extend .nhsuk-\!-font-size-16;
  text-decoration: underline;
}

/**
  * 1. Layout and alignment for icon and text
  * 2. Visually group text and icon
  */
.c-hrt-pagination__link__icon {
  display: table-cell; /* 1 */
  padding-right: nhsuk-spacing(2);
  width: 1%; /* 2 */
  white-space: nowrap; /* 2 */
}
